从指定联合中删除一个已连接的组织配置。注意:如果联合中仅存在一个已连接的组织,则此请求将失败。
角色要求
- 组织所有者
路径参数
-
用于标识联合的唯一的 24 位十六进制数字字符串。
格式应符合以下模式:
^([a-f0-9]{24})$。 -
唯一的 24 位十六进制数字字符串,用于标识要删除的连接组织配置。
格式应符合以下模式:
^([a-f0-9]{24})$。
DELETE /API/Atlas/v1.0/federationSettings/{federationSettingsId}/connectedOrgConfigs/{orgId}
curl \
--request DELETE 'https://cloud.mongodb.com/api/atlas/v1.0/federationSettings/55fa922fb343282757d9554e/connectedOrgConfigs/32b6e34b3d91647abb20e7b8' \
--header "Authorization: Bearer $ACCESS_TOKEN"
响应示例 (400)
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
响应示例 (401)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
响应示例 (403)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
响应示例 (404)
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
响应示例 (500)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}